* ambil dataset
* ubah data string ke numerik
encode Daerah, generate(District)

* buat set data panel
xtset District Year

* buat statistik deskriptif
summarize GRDP GFCF Labor School Agglomeration CapExp Wage

* ubah format data ke logaritma natural
gen lnGRDP = log(GRDP)
gen lnGFCF = log(GFCF)
gen lnLabor = log(Labor)
gen lnSchool = log(School)
gen lnAgglomeration = log(Agglomeration)
gen lnCapExp = log(CapExp)
gen lnWage = log(Wage)

* regresi cem
reg lnGRDP lnGFCF lnLabor lnSchool lnAgglomeration lnCapExp lnWage, level(90)

* simpan hasil estimasi cem
estimates store cem

* regresi fem
xtreg lnGRDP lnGFCF lnLabor lnSchool lnAgglomeration lnCapExp lnWage, fe level(90)

* simpan hasil estimasi fem
estimates store fem

* pilih cem vs fem (uji chow) -> dari p-value fem

* regresi rem
xtreg lnGRDP lnGFCF lnLabor lnSchool lnAgglomeration lnCapExp lnWage, re level(90)

* simpan hasil estimasi rem
estimates store rem

* pilih cem vs rem (uji lagrange multiplier)
xttest0

* pilih fem vs rem (uji hausman)
hausman fem rem

* ulangi regresi fem
xtreg lnGRDP lnGFCF lnLabor lnSchool lnAgglomeration lnCapExp lnWage, fe level(90)

* simpan residual error
predict resid, r

* uji normalitas
sktest resid

* uji multikolinearitas
corr lnGFCF lnLabor lnSchool lnAgglomeration lnCapExp lnWage 

* uji heteroskedastisitas
xttest3

* uji autokorelasi
xtserial lnGRDP lnGFCF lnLabor lnSchool lnAgglomeration lnCapExp lnWage

* ulangi regresi fem robust se
xtreg lnGRDP lnGFCF lnLabor lnSchool lnAgglomeration lnCapExp lnWage, fe robust level(90)